package at.technikumwien.movies;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.Marshaller;
import java.io.File;
import java.util.List;

public class XmlHelper {
    public static void moviesToXml(List<Movies> movies,String filename) throws Exception {
        JAXBContext jaxbContext = JAXBContext.newInstance(Movies.class);

        Marshaller marshaller = jaxbContext.createMarshaller();

        marshaller.setProperty(Marshaller.JAXB_ENCODING, "UTF-8");
        marshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, true);

        // FIXME: Can't marshal list
        marshaller.marshal(movies, System.out);
        marshaller.marshal(movies, new File(filename));
    }
}